$week = ($date) -> {
    return DateTime::Format("%Y-%m-%d")(DateTime::StartOfWeek(cast($date as Date)))
};

SELECT 
    Week,
    SUM(revenue_regular_mm) AS revenue_regular_mm,
    SUM(revenue_reversed_mm) + SUM(revenue_sdk) AS revenue_sdk,
    SUM(revenue_ssp) AS revenue_ssp
FROM hahn.`//home/comdep-analytics/YAN/dashboards/sdk_integration_type/all`
WHERE CAST(report_date AS Date) >= Date('2019-11-04')
GROUP BY $week(report_date) AS Week